diff --git "a/ui.py" "b/ui.py"
index c33311a..74f8f5a 100644
--- "a/ui.py"
+++ "b/ui.py"
@@ -5,7 +5,7 @@ from bpy.types import Panel, UIList
 import bpy
 
 
-class General(Panel):
+class HDR_PT_General(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'TOOLS'
     bl_label = 'General'
@@ -24,19 +24,19 @@ class General(Panel):
             layout.operator('hdr_pro_studio.stop', text = 'Finish')
 
 
-class LightsListTemplate(UIList):
-    def draw_item(self, context, layout, data, item, icon, active_data,
-    active_propname, index):
+class HDR_UL_LightsListTemplate(UIList):
+
+    def draw_item(self, context, layout, data, item, icon, active_data, active_propname, index):
         row = layout.row()
 
         def prop(name, icon_on, icon_off):
             def _prop(pic):
-                row.prop(item, name, text = '', icon = pic, emboss = False)
+                row.prop(item, name, text = '', icon = 'ERROR', emboss = False) # pic, emboss = False) # review for the most appropriate icon
 
             if eval('item.' + name):
-                _prop(icon_on)
+                _prop('DOT')#icon_on) # please, review for the most appropriate icon
             else:
-                _prop(icon_off)
+                _prop('DOT')#icon_off) # please, review for the most appropriate icon
 
         prop('enabled', 'VISIBLE_IPO_ON', 'VISIBLE_IPO_OFF')
         prop('solo', 'SOLO_ON', 'SOLO_OFF')
@@ -60,7 +60,7 @@ def _skip_drawing_panel(context):
     return False
 
 
-class LightsList(Panel):
+class HDR_PT_LightsList(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'TOOLS'
     bl_label = 'Lights List'
@@ -73,7 +73,7 @@ class LightsList(Panel):
 
         row = layout.row()
         row.template_list(
-            'LightsListTemplate', '',
+            'HDR_UL_LightsListTemplate', '',
             g.data(), 'lights',
             g.data(), 'light_index'
         )
@@ -89,7 +89,7 @@ class LightsList(Panel):
         col.operator('hdr_pro_studio.down', icon = 'TRIA_DOWN', text = '')
 
 
-class MasterSetings(Panel):
+class HDR_PT_MasterSetings(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'UI'
     bl_label = 'Master Settings'
@@ -103,7 +103,7 @@ class MasterSetings(Panel):
         layout.prop(g.light(), 'name')
 
 
-class Content(Panel):
+class HDR_PT_Content(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'UI'
     bl_label = 'Content'
@@ -143,7 +143,7 @@ class Content(Panel):
             layout.prop_search(g.light(), 'image', bpy.data, 'images')
 
 
-class Transform(Panel):
+class HDR_PT_Transform(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'UI'
     bl_label = 'Transform'
@@ -169,7 +169,7 @@ class Transform(Panel):
             layout.prop(g.light(), 'corner_radius', slider = True)
 
 
-class Brightness(Panel):
+class HDR_PT_Brightness(Panel):
     bl_space_type = 'IMAGE_EDITOR'
     bl_region_type = 'UI'
     bl_label = 'Brightness'
@@ -196,20 +196,20 @@ class Brightness(Panel):
 
 
 def register():
-    bpy.utils.register_class(General)
-    bpy.utils.register_class(LightsListTemplate)
-    bpy.utils.register_class(LightsList)
-    bpy.utils.register_class(MasterSetings)
-    bpy.utils.register_class(Content)
-    bpy.utils.register_class(Transform)
-    bpy.utils.register_class(Brightness)
+    bpy.utils.register_class(HDR_PT_General)
+    bpy.utils.register_class(HDR_UL_LightsListTemplate)
+    bpy.utils.register_class(HDR_PT_LightsList)
+    bpy.utils.register_class(HDR_PT_MasterSetings)
+    bpy.utils.register_class(HDR_PT_Content)
+    bpy.utils.register_class(HDR_PT_Transform)
+    bpy.utils.register_class(HDR_PT_Brightness)
 
 
 def unregister():
-    bpy.utils.unregister_class(Brightness)
-    bpy.utils.unregister_class(Transform)
-    bpy.utils.unregister_class(Content)
-    bpy.utils.unregister_class(MasterSetings)
-    bpy.utils.unregister_class(LightsList)
-    bpy.utils.unregister_class(LightsListTemplate)
-    bpy.utils.unregister_class(General)
+    bpy.utils.unregister_class(HDR_PT_Brightness)
+    bpy.utils.unregister_class(HDR_PT_Transform)
+    bpy.utils.unregister_class(HDR_PT_Content)
+    bpy.utils.unregister_class(HDR_PT_MasterSetings)
+    bpy.utils.unregister_class(HDR_PT_LightsList)
+    bpy.utils.unregister_class(HDR_UL_LightsListTemplate)
+    bpy.utils.unregister_class(HDR_PT_General)
